Package org.opentcs.drivers.peripherals.management

# Class PeripheralProcessModelEvent

java.lang.Object
org.opentcs.drivers.peripherals.management.PeripheralCommAdapterEvent
org.opentcs.drivers.peripherals.management.PeripheralProcessModelEvent

All Implemented Interfaces:
  `java.io.Serializable`, `LowLevelCommunicationEvent`

    public class PeripheralProcessModelEvent
    extends PeripheralCommAdapterEvent
    implements java.io.Serializable

Instances of this class represent events emitted by/for changes on `PeripheralProcessModel`s.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PeripheralProcessModelEvent​(TCSResourceReference<Location> location, java.lang.String attributeChanged, PeripheralProcessModel processModel)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAttributeChanged()` | Returns the name of the attribute that has changed in the process model.
  `TCSResourceReference<Location>` | `getLocation()` | Returns the location assiciated with the peripheral device.
  `PeripheralProcessModel` | `getProcessModel()` | Returns the process model with its current/changed state.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PeripheralProcessModelEvent

    public PeripheralProcessModelEvent​(@Nonnull TCSResourceReference<Location> location, @Nonnull java.lang.String attributeChanged, @Nonnull PeripheralProcessModel processModel)
    Creates a new instance.
    Parameters:
      `location` - The location assiciated with the peripheral device.
      `attributeChanged` - The name of the attribute that has changed in the process model.
      `processModel` - The process model with its current/changed state.

- ## Method Details

  - ### getLocation

    public TCSResourceReference<Location> getLocation()
    Returns the location assiciated with the peripheral device.
    Returns:
      The location.

  - ### getAttributeChanged

    public java.lang.String getAttributeChanged()
    Returns the name of the attribute that has changed in the process model.
    Returns:
      The name of the attribute that has changed in the process model.

  - ### getProcessModel

    public PeripheralProcessModel getProcessModel()
    Returns the process model with its current/changed state.
    Returns:
      The process model with its current/changed state.